> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orgs

> List all Orgs in your Tenant.
By default, returns non-archived Orgs, unless specific status are passed

#### Authentication

❌ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
❌ Service Account

#### Required Permissions

`Tenant:Orgs:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /tenant/orgs
openapi: 3.1.0
info:
  version: 2.0.249
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /tenant/orgs:
    get:
      tags:
        - Tenant
      summary: List Orgs
      description: |-
        List all Orgs in your Tenant.
        By default, returns non-archived Orgs, unless specific status are passed
      operationId: listOrgs
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - Active
                  - Suspended
                  - Archived
              - type: array
                items:
                  type: string
                  enum:
                    - Active
                    - Suspended
                    - Archived
          required: false
          name: status
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        status:
                          type: string
                          enum:
                            - Active
                            - Suspended
                            - Archived
                        dateCreated:
                          type: string
                      required:
                        - id
                        - name
                        - status
                        - dateCreated
                      additionalProperties: false
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.